#!/bin/bash

max=10000
generate=5000

gcc -o 	problem3_4_3.exe 	problem3_4_3.c 	dSFMT.c

./problem3_4_3.exe	${max}

sort -k2g  tmp.dat | head -${generate} | awk '{print ($1)}' > rand.dat

rm tmp.dat

##check for overlapping
sort -k1g rand.dat |\
awk '
BEGIN{
	b=0;
}
{
	if($1 == b){
		print(b);
	}
	b=$1;
}
'

##CDF
sort -k1gr rand.dat |\
awk '
{
	print($1,NR/5000)
}
' > CDF.dat 

#check for uniformity
gnuplot <<EOF
set terminal postscript eps enhanced color
set output "CDF.eps"
set size 0.6,0.6
set xrange [0:10000]
set yrange [0:1]
set xlabel "rand"
set ylabel "CDF"
plot "CDF.dat" u 1:2 w l noti 
EOF


